about summary refs log tree commit diff
path: root/tests/export.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/export.sh')
-rw-r--r--tests/export.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/export.sh b/tests/export.sh
index ec7560f19728..2238539bcca9 100644
--- a/tests/export.sh
+++ b/tests/export.sh
@@ -8,6 +8,11 @@ nix-store --export $outPath > $TEST_ROOT/exp
 
 nix-store --export $(nix-store -qR $outPath) > $TEST_ROOT/exp_all
 
+if nix-store --export $outPath >/dev/full ; then
+    echo "exporting to a bad file descriptor should fail"
+    exit 1
+fi
+
 
 clearStore